<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Contract\Entity\Order;

use B2W\SkyHub\Contract\Entity\Order\Shipment\TrackEntityInterface;
use B2W\SkyHub\Contract\Resource\CollectionInterface;

/**
 * Interface ShipmentEntityInterface
 * @package B2W\SkyHub\Contract\Entity\Order
 */
interface ShipmentEntityInterface
{
    /**
     * @return string
     */
    public function getCode();

    /**
     * @param $code
     * @return string
     */
    public function setCode($code);

    /**
     * @return CollectionInterface
     */
    public function getItems();

    /**
     * @param CollectionInterface $items
     * @return mixed
     */
    public function setItems(CollectionInterface $items);

    /**
     * @return CollectionInterface
     */
    public function getTracks();

    /**
     * @param TrackEntityInterface $tracks
     * @return mixed
     */
    public function setTracks(TrackEntityInterface $tracks);
}
