<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Contract\Entity\Product;

use B2W\SkyHub\Contract\Entity\Product\Attribute\OptionEntityInterface;
use B2W\SkyHub\Model\Entity\Product\AttributeEntity;

/**
 * Interface SpecificationEntityInterface
 * @package B2W\SkyHub\Contract\Entity\Product
 */
interface SpecificationEntityInterface
{
    /**
     * @param AttributeEntity $attribute
     * @return mixed
     */
    public function setAttribute($attribute);

    /**
     * @return AttributeEntity
     */
    public function getAttribute();

    /**
     * @param OptionEntityInterface $option
     * @return mixed
     */
    public function setOption($option);

    /**
     * @return mixed
     */
    public function getOption();
}
