<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Contract\Entity\Product;

/**
 * Interface VariationEntityInterface
 * @package B2W\SkyHub\Contract\Entity\Product
 */
interface VariationEntityInterface
{
    const POST_TYPE  = 'product_variation';
    const META_IMAGE = '_thumbnail_id';

    /**
     * @param \B2W\SkyHub\Contract\Entity\ProductEntityInterface $product
     * @return mixed
     */
    public function setParent(\B2W\SkyHub\Contract\Entity\ProductEntityInterface $product);

    /**
     * @return mixed
     */
    public function getParent();
    /**
     * @return mixed
     */
    public function getSku();

    /**
     * @param $sku
     * @return mixed
     */
    public function setSku($sku);

    /**
     * @return mixed
     */
    public function getQty();

    /**
     * @param $qty
     * @return mixed
     */
    public function setQty($qty);

    /**
     * @return mixed
     */
    public function getEan();

    /**
     * @param $ean
     * @return mixed
     */
    public function setEan($ean);

    /**
     * @return mixed
     */
    public function getImages();

    /**
     * @param $images
     * @return mixed
     */
    public function setImages($images);

    /**
     * @return mixed
     */
    public function getSpecifications();

    /**
     * @param $specifications
     * @return mixed
     */
    public function setSpecifications($specifications);
    /**
     * @return null
     */
    public function getPrice();

    /**
     * @param null $price
     */
    public function setPrice($price);

    /**
     * @return mixed
     */
    public function getParentId();

    /**
     * @param $parentId
     * @return mixed
     */
    public function setParentId($parentId);
}
