<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Contract\Resource;

use B2W\SkyHub\Model\Entity\EntityAbstract;

/**
 * Interface CollectionInterface
 * @package B2W\SkyHub\Contract\Resource
 */
interface CollectionInterface extends \Iterator
{
    /**
     * @param EntityAbstract $item
     * @return mixed
     */
    public function addItem(EntityAbstract $item);

    /**
     * @param $key
     * @param $value
     * @return mixed
     */
    public function getItemByKey($key, $value);

    /** @return int */
    public function size();

    /** @return EntityAbstract|false */
    public function first();
}
