<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Controller\Admin;

use B2W\SkyHub\Model\Cron\Order\Integration as IntegrationOrder;
use B2W\SkyHub\Model\Cron\Product\Integration as IntegrationProduct;
use B2W\SkyHub\Model\Queue;
use B2W\SkyHub\Model\Repository\QueueDbRepository;
use B2W\SkyHub\View\Admin\Admin as AdminView;

class SetupQueue extends AdminControllerAbstract
{
    /**
     * @return mixed
     */
    public function save()
    {
        if (!isset($_POST['page']) || $_POST['page'] != AdminView::SLUG_QUEUE_INTEGRATION_SKYHUB_LIST) {
            return $this;
        }
        
        if (!isset($_POST['itemQueue']) || !$_POST['itemQueue']) {
            $this->_redirect('admin.php?page=' . AdminView::SLUG_QUEUE_INTEGRATION_SKYHUB_LIST);
        }

        $queueRepository = new QueueDbRepository();
        
        foreach ($_POST['itemQueue'] as $idQueue) {
            $message = $queueRepository->getById($idQueue);
            if (!$message) {
                continue;
            }
            $queueRepository->delete($message);
        }
        
        $jobs = new \B2W\SkyHub\Model\Cron\Jobs();
        $jobs->unsetCronJobs();
        $jobs->registerCronJobs();

        $this->_redirect('admin.php?page=' . AdminView::SLUG_QUEUE_INTEGRATION_SKYHUB_LIST);

        return $this;
    }

    /**
     * @return mixed
     */
    public function executeQueue()
    {
        if (!isset($_POST['page']) || $_POST['page'] != AdminView::SLUG_QUEUE_INTEGRATION_SKYHUB_EXECUTE) {
            return $this;
        }

        if (!isset($_POST['itemQueue']) || !$_POST['itemQueue']) {
            $this->_redirect('admin.php?page=' . AdminView::SLUG_QUEUE_INTEGRATION_SKYHUB_LIST);
        }

        $queue = new Queue();
        foreach ($_POST['itemQueue'] as $idQueue) {
            $queue->runById($idQueue);
        }

        $this->_redirect('admin.php?page=' . AdminView::SLUG_QUEUE_INTEGRATION_SKYHUB_LIST);

        return $this;
    }
}
