<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Model\Setup;


/**
 * Class Queue
 * @package B2W\SkyHub\Model\Setup
 */
class Log extends AbstractSetup
{
    const TABLE = 'woocommerce_b2w_skyhub_log';

    public function getTable()
    {
        return self::TABLE;
    }
    
    /**
     * @return $this
     */
    public function install()
    {
        global $wpdb;

        $charsetCollate = $wpdb->get_charset_collate();
        $tableName      = $wpdb->prefix . self::TABLE;

        $sql = "CREATE TABLE IF NOT EXISTS $tableName (
                    id int AUTO_INCREMENT PRIMARY KEY,
                    message text,
                    level varchar(255),
                    dateCreate timestamp
        ) $charsetCollate;";

        require_once ABSPATH . 'wp-admin/includes/upgrade.php';

        dbDelta($sql);

        return $this;
    }
}
