<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Order\Invoice;

use B2W\SkyHub\Model\Entity\Order\InvoiceEntity;
use B2W\SkyHub\Model\Map\Order\InvoiceMap;
use B2W\SkyHub\Model\Resource\Collection;
use B2W\SkyHub\Model\Transformer\DbToEntityAbstract;

/**
 * Class DbToEntity
 * @package B2W\SkyHub\Model\Transformer\Order\Invoice
 */
class DbToEntity extends DbToEntityAbstract
{
    /**
     * @return Collection|mixed
     */
    protected function _getAttributeMap()
    {
        $map = new InvoiceMap();
        return $map->map();
    }

    /**
     * @return InvoiceEntity|null
     */
    protected function _getEntityInstance()
    {
        return new InvoiceEntity();
    }


    /**
     * @return Collection|null
     * @throws \Exception
     */
    public function convert()
    {
        $collection = new Collection();

        $invoice = parent::convert();

        if ($invoice) {
            $collection->addItem($invoice);
        }

        return $collection;
    }
}
