<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Order\Misc;

use B2W\SkyHub\Model\Transformer\EntityToDbAbstract;

/**
 * Class CpfCnpj
 * @package B2W\SkyHub\Model\Transformer\Order\Misc
 */
class CpfCnpj extends EntityToDbAbstract
{
    /**
     *
     */
    const CPF  = 'cpf';
    /**
     *
     */
    const CNPJ = 'cnpj';

    /**
     * @var null
     */
    protected $_number = null;
    /**
     * @var null
     */
    protected $_type = null;

    /**
     * @return mixed|null
     */
    protected function _getMapInstance()
    {
        return null;
    }

    /**
     * @return EntityToDbAbstract|null
     */
    public function convert()
    {
        $this->_number  = preg_replace('/[^0-9]+/', '', $this->getEntity()->getCustomer()->getVatNumber());
        $this->_type    = strlen($this->_number) <= 11 ? self::CPF : self::CNPJ;

        return $this->_attribute->getWordpress() == '_billing_cpf'
            ? $this->_cpf()
            : $this->_cnpj();
    }

    /**
     * @return null
     */
    protected function _cpf()
    {
        return $this->_byType(self::CPF);
    }

    /**
     * @return null
     */
    protected function _cnpj()
    {
        return $this->_byType(self::CNPJ);
    }

    /**
     * @param $type
     * @return null
     */
    protected function _byType($type)
    {
        return $this->_type == $type ? $this->_number : null;
    }
}
