<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Model\Transformer\Order\Shipment\Track;

use B2W\SkyHub\Model\Entity\Order\Shipment\TrackEntity;
use B2W\SkyHub\Model\Map\Order\Shipment\TrackMap;
use B2W\SkyHub\Model\Transformer\EntityToDbAbstract;

/**
 * Class EntityToDb
 * @package B2W\SkyHub\Model\Transformer\Order\Shipment\Track
 */
class EntityToDb extends EntityToDbAbstract
{
    /**
     * @return TrackMap
     */
    protected function _getMapInstance()
    {
        return new TrackMap();
    }

    /**
     * @return TrackEntity
     */
    public function getEntity()
    {
        return $this->_entity->getShipments()->getTracks();
    }
}
