<?php

/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2020 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Model\Transformer\Product\VariationAttributes;

use B2W\SkyHub\Model\Resource\Collection;
use B2W\SkyHub\Contract\Entity\Product\SpecificationEntityInterface;

/**
 * Class EntityToApi
 * @package B2W\SkyHub\Model\Transformer\Product\VariationAttribute
 */
class EntityToApi
{
    /**
     * @param Collection $collection
     * @param $parentTransformer
     * @return null
     */
    public function convert(Collection $collection, $parentTransformer)
    {
        /** @var \SkyHub\Api\EntityInterface\Catalog\Product $productInterface */
        $productInterface = $parentTransformer->getInterface();

        /** @var SpecificationEntityInterface $attribute */
        foreach ($collection as $attribute) {
            if (!$attribute) {
                continue;
            }

            if (!($attribute instanceof SpecificationEntityInterface)) {
                continue;
            }

            $productInterface->addVariationAttribute($attribute->getAttribute());
        }

        return null;
    }
}
