<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Validation;

use B2W\SkyHub\Contract\Entity\OrderEntityInterface;

/**
 * Class OrderEntity
 * @package B2W\SkyHub\Model\Validation
 */
class OrderEntityValidator
{
    /**
     * OrderEntityValidator constructor.
     * @param OrderEntityInterface|null $order
     * @throws \Exception
     */
    public function __construct(OrderEntityInterface $order = null)
    {
        if ($order) {
            $this->validate($order);
        }

        return $this;
    }

    /**
     * @param \B2W\SkyHub\Contract\Entity\OrderEntityInterface $order
     * @throws \Exception
     */
    public function validate(\B2W\SkyHub\Contract\Entity\OrderEntityInterface $order)
    {
        if (!$order->getCode()) {
            throw new \B2W\SkyHub\Exception\Exception('Order must have code - OrderId: ' . $order->getId());
        }

        if ($order->getItems()->size() <= 0) {
            throw new \B2W\SkyHub\Exception\Exception('Order must have items - OrderId: ' . $order->getCode());
        }

        /** TODO validate stock */
    }
}
