<?php
/**
 * B2W Digital - Companhia Digital
 *
 * Do not edit this file if you want to update this SDK for future new versions.
 * For support please contact the e-mail bellow:
 *
 * sdk@e-smart.com.br
 *
 * @category  SkuHub
 * @package   SkuHub
 *
 * @copyright Copyright (c) 2018 B2W Digital - BSeller Platform. (http://www.bseller.com.br).
 *
 * @author    Tiago Sampaio <tiago.sampaio@e-smart.com.br>
 */

namespace SkyHub\Api\Service;

class ServiceJson extends ServiceDefault
{
    
    /**
     * Service constructor.
     *
     * @param string $baseUri
     * @param array  $headers
     * @param array  $options
     */
    public function __construct($baseUri, array $headers = [], array $options = [], $log = true)
    {
        $headers['Accept']       = 'application/json';
        $headers['Content-Type'] = 'application/json';
        
        parent::__construct($baseUri, $headers, $options, $log);
    }
    
    
    /**
     * @param array $bodyData
     * @param array $options
     *
     * @return array
     */
    protected function prepareRequestBody($bodyData, array &$options = [])
    {
        $options['json'] = $bodyData;
        return $options;
    }
}
